ru.bitel.bgbilling.modules.vidimax.common.bean

## Class VidimaxTariff

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.vidimax.common.bean.VidimaxTariff

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class VidimaxTariff
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidimaxTariff()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.util.Date` | `getExpirationDate()`
    `java.lang.String` | `getPricePeriod()`
    `java.util.Date` | `getStartCurrentPeriod()`
    `java.util.Date` | `getStopCurrentPeriod()`
    `java.math.BigDecimal` | `getSum()`
    `boolean` | `isPrimary()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setExpirationDate(java.util.Date expirationDate)`
    `void` | `setPricePeriod(java.lang.String pricePeriod)`
    `void` | `setPrimary(boolean primary)`
    `void` | `setStartCurrentPeriod(java.util.Date startCurrentPeriod)`
    `void` | `setStopCurrentPeriod(java.util.Date stopCurrentPeriod)`
    `void` | `setSum(java.math.BigDecimal sum)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VidimaxTariff

          public VidimaxTariff()

  - ### Method Detail

    - #### isPrimary

          public boolean isPrimary()

    - #### setPrimary

          public void setPrimary(boolean primary)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getStartCurrentPeriod

          public java.util.Date getStartCurrentPeriod()

    - #### setStartCurrentPeriod

          public void setStartCurrentPeriod(java.util.Date startCurrentPeriod)

    - #### getStopCurrentPeriod

          public java.util.Date getStopCurrentPeriod()

    - #### setStopCurrentPeriod

          public void setStopCurrentPeriod(java.util.Date stopCurrentPeriod)

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

    - #### setExpirationDate

          public void setExpirationDate(java.util.Date expirationDate)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getPricePeriod

          public java.lang.String getPricePeriod()

    - #### setPricePeriod

          public void setPricePeriod(java.lang.String pricePeriod)